\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Arr_dcel_base< V, H, F >::Arr_halfedge_base< Curve > Class Template Reference

`#include <CGAL/Arr_dcel_base.h>`

## Definition

The basic Dcel halfedge type.

Serves as a basis class for an extended halfedge record with auxiliary data fields. The `Curve` parameter is the type of \( x\)-monotone curves associated with the vertices.

Is Model Of:
  `ArrangementDcelHalfedge`